<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta   http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta   name="robots" content="noindex, nofollow" />
<meta   http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title>好友列表 - <jcms:site.name/></title>
<script type="text/javascript" src="../_libs/jquery.tools.pack.js"></script>
<script type="text/javascript" src="../_data/jcmsV4.x.js"></script>
<link   type="text/css" rel="stylesheet" href="../_data/jcmsV4.x.css" />
<style type="text/css">
@import url(../style/member/style.css);
</style>
<script type="text/javascript">
var pagesize=20;
var page=thispage();
(function(){
	$(document).ready(function() {
		$.ajax({
			type:		"get",
			dataType:	"json",
			data:		"time="+(new Date().getTime()),
			url:		"../ajax/user.aspx?oper=ajaxUserInfo",
			error:		function(XmlHttpRequest,textStatus, errorThrown){if(XmlHttpRequest.responseText!=""){alert(XmlHttpRequest.responseText);}},
			success:	function(data){
				//数据绑定
				$(".index_name").html(data.username+"（"+data.groupname+"）");
				$("#u_myface").attr("src","../_data/avatar/"+data.userid+"_l.jpg?" + (new Date().getTime()));
				$(".u_email").text(data.email);
				if(data.sex=="2")
					$(".u_sex").text("女");
				if(data.sex=="0")
					$(".u_sex").text("保密");
				ajaxList(page);
			}
		});
	});
})();
function ajaxList(currentpage)
{
	if(currentpage!=null) page=currentpage;
	$.ajax({
		type:		"get",
		dataType:	"json",
		data:		"page="+currentpage+"&pagesize="+pagesize+"&time="+(new Date().getTime()),
		url:		"friendlist_ajax.aspx?oper=ajaxGetList",
		error:		function(XmlHttpRequest,textStatus, errorThrown){if(XmlHttpRequest.responseText!=""){alert(XmlHttpRequest.responseText);}},
		success:	function(d){
			switch (d.result)
			{
			case '0':
				JumbotCms.Alert(d.returnval, "0");
				break;
			case '1':
				$("#ajaxList").setTemplateElement("tplList", null, {filter_data: false});
				$("#ajaxList").processTemplate(d);
				$("#ajaxPageBar").html(d.pagerbar);
				break;
			}
		}
	});
}
function ConfirmDel(friendid){
	JumbotCms.Confirm("确定要解除好友关系吗？", "ajaxDel("+friendid+")");
}
function ajaxDel(friendid){
	$.ajax({
		type:		"post",
		dataType:	"json",
		data:		"friendid="+friendid,
		url:		"friendlist_ajax.aspx?oper=ajaxDel&time="+(new Date().getTime()),
		error:		function(XmlHttpRequest,textStatus, errorThrown){JumbotCms.Loading.hide();alert(XmlHttpRequest.responseText); },
		success:	function(d){
			switch (d.result)
			{
			case '-1':
				JumbotCms.Alert(d.returnval, "0", "top.window.location='../passport/login.aspx';");
				break;
			case '0':
				JumbotCms.Alert(d.returnval, "0");
				break;
			case '1':
				ajaxList(page);
				break;
			}
		}
	});
}
</script>
</head>
<body>
<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=header" width="100%" height="76" marginwidth="0" marginheight="0" hspace="0" vspace="0" id="ifheader"></iframe>
<!--顶部结束,中框架开始-->
<div id="wrap">
	<div id="main">
		<div id="app_sidebar">
			<ul class="app_list" id="default_userapp">
				<li class="currently"><img src="../style/member/ico_home.gif"><a href="../user/index_default.aspx">个人中心首页</a></li>
			</ul>
			<ul class="app_list" id="my_userapp">
				<li class="hr"></li>
				<li><img src="../style/member/ico_contribute.gif"><a href="../user/contribute_default.aspx" target="_blank">我的投稿</a><em></em></li>
				<li><img src="../style/app/message.gif"><a href="../user/pmlist_default.aspx">短信</a><em><a href="../user/pmsend_default.aspx">发送</a></em></li>
				<li><img src="../style/app/friend.gif"><a href="../user/friendlist_default.aspx">好友</a><em><a href="../user/friendadd_default.aspx">添加</a></em></li>
				<li><img src="../style/app/mtag.gif"><a href="../mtag/index_default.aspx">群组</a><em><a href="../mtag/threadlist_default.aspx">话题</a></em></li>
				<li><img src="../style/app/favorite.gif"><a href="../user/favorite_default.aspx">收藏夹</a></li>
				
			</ul>
		</div>
		<div id="mainarea">
			<div id="content">
				<div class="composer_header">
					<div style="float:left;width:137px;">
						<div class="ar_r_t">
							<div class="ar_l_t">
								<div class="ar_r_b">
									<div class="ar_l_b"><img id="u_myface" src="../_data/avatar/0_l.jpg" onerror="this.src='../_data/avatar/0_l.jpg'" width="120" height="120" /></div>
								</div>
							</div>
						</div>
					</div>
					<div class="composer" style="float:left">
						<h3 class="index_name">username</h3>
						<p>绑定邮箱：<span class="u_email"></span></p>
					</div>
				</div>
			</div>
			<br />
			<div class="clear"></div>
			<div class="tabs_header">
				<ul class="tabs">
					<li class="active"><a><span>好友列表</span></a></li>
					<li><a href="../user/friendadd_default.aspx"><span>添加好友</span></a></li>
					<li><a><span>邀请好友</span></a></li>
				</ul>
			</div>
			<div class="c_form">
            <textarea id="tplList" style="display:none"><ul class="avatar_list">
	{#foreach $T.table as record}
	<li>
		<div class="avatar48"><a href="javascript:void(0);" onclick="ShowUserPage({$T.record.frienduserid});" title="{$T.record.friendusername}"><img src="../_data/avatar/{$T.record.frienduserid}_m.jpg" onerror="this.src='../_data/avatar/0_m.jpg'" alt="{$T.record.friendusername}" width="48" height="48" /></a></div>
		<p><a href="javascript:void(0);" onclick="ShowUserPage({$T.record.frienduserid});" title="{$T.record.friendusername}">{$T.record.friendusername}</a></p>
		<p><a href="javascript:void(0);" title="将{$T.record.friendusername}从你的好友列表中删除" id="a_online_friend_{$T.record.frienduserid}" onclick="ConfirmDel({$T.record.frienduserid})">解除好友</a></p>
	</li>
	{#/for}
</ul></textarea>
				<div id="ajaxList"></div>
				<div class="clear"></div>
				<div id="ajaxPageBar" class="pages"> </div>
			</div>
		</div>
		<div id="bottom"></div>
	</div>
	<div id="footer" title=""> </div>
</div>
<iframe frameborder="0" scrolling="no" src="../user/index_default.aspx?do=footer" width="100%" height="50" marginwidth="0" marginheight="0" hspace="0" vspace="0" id="iffooter"></iframe>
</body>
</html>
